package com.hw.mes.controller;

import com.hw.common.core.web.controller.BaseController;
import com.hw.common.core.web.domain.AjaxResult;
import com.hw.common.security.annotation.RequiresPermissions;
import com.hw.mes.domain.MesMaterialBom;
import com.hw.mes.service.IMesMaterialBomService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 物料BOM信息Controller
 *
 * @author Yinq
 * @date 2024-01-30
 */
@RestController
@RequestMapping("/api")
public class MesApiController extends BaseController
{
    @Autowired
    private IMesMaterialBomService mesMaterialBomService;

    /**
     * 查询物料BOM信息列表
     */
//    @RequiresPermissions("mes:materialBom:list")
    @GetMapping("/getMaterialBoms")
    public AjaxResult getMaterialBoms(MesMaterialBom mesMaterialBom)
    {
        List<MesMaterialBom> list = mesMaterialBomService.selectMesMaterialBomJoinList(mesMaterialBom);
        return success(list);
    }


}
