package com.hw.qms.domain;

import java.util.List;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 质检结果详情对象 qms_check_result_detail
 *
 * @author xins
 * @date 2024-01-23
 */
public class QmsCheckResultDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 质检结果详情ID */
    private Long checkResultDetailId;

    /** 质检结果ID，关联质检结果主键 */
    @Excel(name = "质检结果ID，关联质检结果主键")
    private Long checkResultId;

    /** 物料条码 */
    @Excel(name = "物料条码")
    private String materialBarcode;

    /** 检验状态(0待检验,1检验中,2质检通过,3质检不通过) */
    @Excel(name = "检验状态(0待检验,1检验中,2质检通过,3质检不通过)")
    private String checkStatus;


    private String materialCode;

    private String materialName;

    private String poNo;

    private String saleorderCode;

    /** 质检结果详情项目信息信息 */
    private List<QmsCheckResultDetailProject> qmsCheckResultDetailProjectList;

    public void setCheckResultDetailId(Long checkResultDetailId)
    {
        this.checkResultDetailId = checkResultDetailId;
    }

    public Long getCheckResultDetailId()
    {
        return checkResultDetailId;
    }
    public void setCheckResultId(Long checkResultId)
    {
        this.checkResultId = checkResultId;
    }

    public Long getCheckResultId()
    {
        return checkResultId;
    }
    public void setMaterialBarcode(String materialBarcode)
    {
        this.materialBarcode = materialBarcode;
    }

    public String getMaterialBarcode()
    {
        return materialBarcode;
    }
    public void setCheckStatus(String checkStatus)
    {
        this.checkStatus = checkStatus;
    }

    public String getCheckStatus()
    {
        return checkStatus;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getPoNo() {
        return poNo;
    }

    public void setPoNo(String poNo) {
        this.poNo = poNo;
    }

    public String getSaleorderCode() {
        return saleorderCode;
    }

    public void setSaleorderCode(String saleorderCode) {
        this.saleorderCode = saleorderCode;
    }

    public List<QmsCheckResultDetailProject> getQmsCheckResultDetailProjectList()
    {
        return qmsCheckResultDetailProjectList;
    }

    public void setQmsCheckResultDetailProjectList(List<QmsCheckResultDetailProject> qmsCheckResultDetailProjectList)
    {
        this.qmsCheckResultDetailProjectList = qmsCheckResultDetailProjectList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("checkResultDetailId", getCheckResultDetailId())
            .append("checkResultId", getCheckResultId())
            .append("materialBarcode", getMaterialBarcode())
            .append("checkStatus", getCheckStatus())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("qmsCheckResultDetailProjectList", getQmsCheckResultDetailProjectList())
            .toString();
    }
}
