package com.hw.qms.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 检验规则项目对象 qms_check_rule_project
 *
 * @author xins
 * @date 2024-01-23
 */
public class QmsCheckRuleProject extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 检验规则id，关联qms_check_rule的check_rule_id */
    private Long checkRuleId;

    /** 检验项目id，关联qms_check_project的check_project_id */
    private Long checkProjectId;

    /** 检验顺序 */
    @Excel(name = "检验顺序")
    private Long projectStepOrder;

    private QmsCheckProject checkProject;

    private String targetType;

    private Long targetId;

    public void setCheckRuleId(Long checkRuleId)
    {
        this.checkRuleId = checkRuleId;
    }

    public Long getCheckRuleId()
    {
        return checkRuleId;
    }
    public void setCheckProjectId(Long checkProjectId)
    {
        this.checkProjectId = checkProjectId;
    }

    public Long getCheckProjectId()
    {
        return checkProjectId;
    }
    public void setProjectStepOrder(Long projectStepOrder)
    {
        this.projectStepOrder = projectStepOrder;
    }

    public Long getProjectStepOrder()
    {
        return projectStepOrder;
    }

    public QmsCheckProject getCheckProject() {
        return checkProject;
    }

    public void setCheckProject(QmsCheckProject checkProject) {
        this.checkProject = checkProject;
    }

    public String getTargetType() {
        return targetType;
    }

    public void setTargetType(String targetType) {
        this.targetType = targetType;
    }

    public Long getTargetId() {
        return targetId;
    }

    public void setTargetId(Long targetId) {
        this.targetId = targetId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("checkRuleId", getCheckRuleId())
            .append("checkProjectId", getCheckProjectId())
            .append("projectStepOrder", getProjectStepOrder())
            .toString();
    }
}
